html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}
.container {
    max-width: 1500px;
    flex-flow: wrap;
    justify-content: space-around;
}
.wrap > .container {
    padding: 30px 15px 20px;
    background-color: #f2f2f2;
}
.wrap {
    background-color: #2C3E50; /* slate blue */
}
.footer {
    height: 60px;
    border-top: 1px solid #ddd;
    padding-top: 20px;
    margin-top: auto;
}
.footer, footer div.container, footer div.container p.pull-right, footer div.container p.pull-left {
      background-color: #e4decd;
  }

.jumbotron,.jumbotron_left  {
    text-align: center;
    background-color: transparent;
    padding: 14px;
}
.jumbotron_left {
    text-align: left;
    margin-bottom: 15px;
}
.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}
.jumbotron-example .btn {
    font-size: 12px;
    padding: 8px 12px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings', serif;
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 8px;
    border: none;
    color: white;
    background-color: transparent;
    box-sizing: border-box;
    list-style: none;
    font-size: large;
    font-weight: bold;
    text-decoration: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}
.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    background: #b94514;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.navbar-expand-md  {
    color: white;
    background-color: #dcece5;
}

.bg-light {
    background-color: #dcece5;    
}
.rowGr tr:active{
    background-color: #dcece5;
}
.grid-view table thead {
    background-color: #28a745; /*#724a55; /*#500a75; /* #3d0859;*/
    color: white;
}
.th-class a, .logout {
    color: #99ff99;
    text-decoration: underline;
}
.table-striped tbody tr:nth-of-type(2n), .table-striped thead {
    background-color: white;
}
.table-striped tbody tr:nth-of-type(2n+1) {
    /*background-color: #D0CFEC;*/
    /*replaced pale lilac with darker color in order to distinguish from gray better*/
    background-color: #acaade;
}
.table-striped tbody tr:focus {
    background-color: red;
}
.replacement {
   font-weight: bold;
}
.replaced {
    background-color: lightgray;
    color: blue;
}
.ast, .replacement  {
    background-color: coral;
    color: darkblue; 
}
.currentRow {
    background-color: 	#99ff99  !important;
    font-size: larger ;
}
.selectedRow .ast, .selectedRow .replacement, .selectedRow .ast .replacement {
    background-color: #dc9074; /* #A35233;*/
    color: darkblue;
}
.selectedRow {
    background-color: #d1d1d1 !important;
    color: gray !important;
}
.ast .replacement {
    background-color: coral;
    color: darkblue;
    font-weight: bold;
}
.notfound {
    background-color: blueviolet;
    color: lightgrey;
}
.alert {
    background-color: lightgray;
    color: #ff0000;
}
.diag {
    background-color: deeppink;
    color: white;
}

table tbody tr:hover, table tbody tr:active  {
    background-color: 	#99ff99  !important;
}
.rowGr:hover, .rowGr:active, .rowLvl1:hover, .rowLvl1:active,
.rowLvl2:hover, .rowLvl2:active{
    background-color: 	#99ff99  !important;
    font-size: larger ;
}
.rowLvl1, .rowLv2 {
    color: darkblue !important;
    background-color: #8fbd92 !important;
    font-weight: bolder;
}
td.rowLvl2-zero {
    background: #afd0b1  !important;
}
td.rowLvl2-even {
    background: #d7d9ff  !important;
}
.table-hover td.rowLvl2-even:hover  {
    background: #a4a9ff  !important;
}
.table-hover td.rowLvl2-odd:hover {
    background: #bec1ff  !important;
}
.rowLvl2 {
    background-color: blueviolet !important;
}
.rowLvl1 {
    background-color: #afd0b1;
}
.rowLvl2 {
    background-color: #0f6674;
}
.rowLvl3 {
    background-color: #5b882c;
}
.selectedRow .repeat, .selectedRow .repeatBr {
    background-color: darkgray;
    color: gray;
}
.repeat, .selectedRow:hover .repeat, .selectedRow:active {
    background-color: #ffdf80;
    color: darkblue;
}
.repeatBr, .selectedRow:hover .repeatBr {
    background-color: #2c6f50;
    color: white;
}
.selectedRow:hover .repeat {
    color: darkslategray;
}
.selectedRow:hover .repeatBr  {
    color: #cccccc;
}
.nav-tabs .nav-link, .nav-tabs .nav-link:hover, .nav-tabs .nav-link:focus {
    border-color: #2C3E50 !important;
}
.nav-tabs .nav-items.show, .nav-link {
    color: #1e7e34;
}
.nav-link:hover, .nav-link:focus {
    color: #2C3E50;
    background-color: #dcece5;
    border-color: #2C3E50 !important;
}
.nav-tabs .nav-link .nav-tabs .nav-items {
    color: #2c3e50;
    background-color: #dcece5;
    border-color: #2C3E50 !important;
}
.nav-tabs .nav-link.active, .nav-tabs .nav-items.show {
    background-color: #55724a;
    color: white;
    font-weight: bolder;
    border-color: #2C3E50;/* !important;*/
}
.nav-tabs .nav-link:hover, .nav-tabs .nav-link:focus {
    background-color: #55724a;
    color: white;
    font-weight: bolder;
    border-color: #2C3E50;/* !important;*/
}
.nav-tabs .nav-link  {
    border-color: #2C3E50 !important;
    background-color: #e4decd;
    color: #2C3E50;
}
.navbar-light .navbar-nav .nav-link {
    color: white;
    font-size: large;
    font-weight: bold;
}
.navbar-light .navbar-nav .show > .nav-link, .navbar-light .navbar-nav
.active > .nav-link, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .nav-link.active {
    color: rgba(255, 255, 255, 0.9);
    font-weight: bolder;
    font-size: larger;
    background-color: rgba(85, 114, 74,0.7);
}
.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
    background-color: rgba(129, 164, 116, 0.7);
    color: white;
    font-size: larger;
    font-weight: bolder;
}
.navbar-cntr-left .ml-auto {
    margin-left: auto !important;
}
.navbar-toggler-icon, .navbar-toggler-icon::before {
    background-color: white;
}
/* for test tags only */
/* Style the tab */
.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

/* Style the buttons that are used to open the tab content */
.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
    background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
}
.btn-success,.btn-danger,.btn-create {
    color: #fff;
    background-color: #55724a;
    border-color: #55724a;
}
.btn-create {
    background-color: #7b7a9f ;
}
.btn-success:hover, .btn-success:active, .btn-success:focus,
.btn-create:hover, .btn-create:active, .btn-create:focus {
    background-color: #3d0859;
    border-color: #3d0859;
    color: #fff;
}
.btn-danger:hover, .btn-danger:active, .btn-danger:focus {
    background-color: red;
    border-color: red;
}
.progress-bar {
    background-color: #330428; /*#3d0859;*/
}
.bg-success {
    background-color: #55724a !important;
    /*background-color: #28a745 !important;*/
}

.stitch-table thead th {
    background-color:  #559159;
    color: white;
}

.table-info > td, .table-hover .table-info:hover > td, .table-hover .table-info:hover > th {
    background-color: #3f5973;
    color: white;
}
.image-feature img, .image-content img {
    border:2px solid black;
    vertical-align:middle;
    horiz-align: center;
    margin:10px 50px;
/*    max-width: 100%;
    height: auto;*/
    display:block;
    margin-left:auto;
    margin-right:auto;
}
.image-content p {
    font-size: large;
}
.grid-view table thead {
    background-color: #500a75; /* #3d0859;*/
    color: white;
}
.kv-table-header th {
    background-color: #500a75; /* #3d0859;*/
    color: white;
}
.issue {
    color: deeppink;
    margin-left: 10px;
}
.listIssue {
    margin-left: 10px;
}
.author {
    font-style: italic;
}

.knitchart1  {
    font-family: 'Knit_Font_3', serif;
    letter-spacing: 0.4em;
    padding-left: 0.2em;
    font-size: xx-large;

    border-style: solid;
    border-width: 1px;
    border-color: black;

    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;

}

.knitchart2  {
    font-family: 'Knit_Font_4', serif;
    font-size: xx-large;
}

.knitchart3  {
    font-family: 'Knit_Font_2', serif;
}
.knitchart5  {
    font-family: 'Knit_Font_5', serif !important;
    /*text-transform: full-width;*/
    padding: 1rem 0;
    margin: 0;
    font-size: medium;
    text-align: left;
    /*text-shadow: -1px 0 gray, 0 1px gray, 1px 0 gray, 0 -1px gray;*/
}
.spacer {
    /*padding: 0;*/
    /*margin: 0;*/
    /*color: gray;*/
    /*font-size: medium;*/
}

/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    /* Position the tooltip text - see examples below! */
    position: absolute;
    z-index: 1;
}
/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
    visibility: visible;
}

.myTooltipClass + .tooltip > .tooltip-inner {
    background-color: #ff0;
    font-size: 18px;
}
.myTooltipClass + .tooltip > .tooltip-arrow {
    border-bottom-color:#ff0;
}

@keyframes spin {
    to {
        transform: rotateZ(360deg);
    }
}

.spinner {
    font-size: 50px;
    text-align: center;
    animation: 2s spin linear infinite;
    display:none;
}
.show {
    display: block;
}
.cursor {
    cursor: pointer;
}
.checkbox-lg .custom-control-label::before,
.checkbox-lg .custom-control-label::after {
    top: .8rem;
    width: 1.55rem;
    height: 1.55rem;
}
.action {
    margin: 2px;
}
.pattern_image {
    margin: 5px 5px 5px 15px;
    border: black solid 2px;
    /*margin: 15px 5px;*/
    max-width: 300px;
    max-height: 350px;
}
.pattern_diagram {
    margin: 5px 5px 5px 15px;
    border: black solid 2px;
    /*margin: 15px 5px;*/
    max-width: 1000px;
    max-height: 1000px;
}
.list {
    margin-left: 20px;
    max-width: 1000px;
}
.short {
    max-width: 300px;
    margin: 15px;
}

.comboBox, .comboBoxWide {
    border: black solid 1px;
    width: 500px;
    background-color: lightgray;
    padding: 5px 15px;
    margin: 15px;
}
.comboBoxWide {
    width: 850px;
}
.pattern-display {
    padding: 25px 15px;
    margin: 5px;
}
.pattern-display tr:hover, .pattern-display tr:active {
    background-color: #f2f2f2  !important;
}
.col-lg-4 {
    padding: 15px;
}

.col-lg-4 th {
    padding-right: 15px;
}
.tabs_info {
    padding: 15px;
}
.header_btn {
    margin: 15px;
}
.breadcrumb {
    background-color: #e5e4f4;
}
.field input, .field select{
    background-color: lightsteelblue;
    font-size: larger;
}
.emphasis {
    color: #1e7e34 ;
    font-weight: bolder;
}

.swiper-container {
    padding: 15px;
    margin: 25px;
}
.swiper-container-info {
    padding: 5px;
    margin: 5px;
}
.swiper-pagination {
    margin-top: 5px;
}
.paramFields {
    font-weight: bold;
    font-size: larger;
    font-style: italic;
    color: blue;
}
.misc {
    color: orange;
}

.error-input {
    color: #a94442;
    font-size: larger;
    font-weight: bold;
}
.col-flex-width4 {
    min-width: 70%;
    /* flex flex-grow, flex-shrink and flex-basis
     defaults: 0 1 auto*/
    flex: 20 1 80%;
}
.col-flex-width1 {
    flex: 1 0;
}
.col-flex-widthFull {
    min-width: 100%;
}
.report-detail {
    margin-bottom: 7px;
    padding-left: 5px;
}
.report-instruction{
    margin-bottom: 10px;
    padding-left: 15px;
}
.report-refPart {
    font-weight: bold;
}

.main-box, .instruction-box, .variation-box {
    /*border: 5px solid darkgreen ;*/
    border: #663399 5px solid ;
    padding: 20px;
    background: lightgray;
}
.main-box .hint-block,
.instruction-box .hint-block,
.variation-box .hint-block {
    color: darkred;
}
.control-label {
    font-size: larger;
}

.ml-auto {
    margin-left: auto;
    display: flex;
    justify-content: flex-end; /* Aligns items to the right */
    padding-right: 8px;
}
.ml-auto-right {
    padding-right: 30px;
}
.report-piece, .report-header {
    color:  #500a75;
    font-weight: bolder;
    font-size: xx-large;
    font-family: cursive;
}
.report-header {
    font-family: "Helvetica Neue Light", "HelveticaNeue-Light", "Helvetica Neue", Calibri, Helvetica, Arial, sans-serif;
}
.report-part, .pattern-report-ast {
    color:  #500a75;
    font-weight: bolder;
    font-size: x-large;
    font-family: "Helvetica Neue Light", "HelveticaNeue-Light", "Helvetica Neue", Calibri, Helvetica, Arial, sans-serif;
}
.report-instruction {
    font-size: large;
    font-family: "Helvetica Neue Light", "HelveticaNeue-Light", "Helvetica Neue", Calibri, Helvetica, Arial, sans-serif;
}
.report-descriptor, .pattern-report-ast, .report-icons {
    font-weight: bolder;
    font-size: medium;
    font-family: "Helvetica Neue Light", "HelveticaNeue-Light", "Helvetica Neue", Calibri, Helvetica, Arial, sans-serif;
}
.detail {
    min-width: 50%;
}
.detail-narrow {
    min-width: 5%;
}

/*h4.report-piece {*/
/*    border: #500a75 solid 4px;*/
/*    background-color: gray;*/
/*    text-align: left;*/
/*    color: white;*/
/*    margin-top: 25px;*/
/*    padding: 5px;*/
/*}*/
/*.pattern-type {*/
/*    color:  #500a75;*/
/*    font-weight: bolder;*/
/*    font-size: xx-large;*/
/*    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;*/
/*    border: #500a75 solid 4px;*/
/*    background-color: lightgray;*/
/*    margin-top: 25px;*/
/*    padding: 5px;*/
/*}*/
/*.pattern-report-ast {*/
/*    color:  rosybrown;*/
/*    font-weight: bolder;*/
/*    font-size: xx-large;*/
/*    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;*/
/*    border: #500a75 solid 4px;*/
/*    background-color: lightgray;*/
/*    margin-top: 25px;*/
/*    padding: 5px;*/
/*}*/
/* pattern repeat hover: #d7d9ff */

/* #e49806 dark yellow */
/* #b94514 orange */
/* #53582f olive */
/* #330428 plum */



/*.kv-expand-detail-row td {
    background-color: yellow;
}*/

/*   orangey F2C14E   */
/*   blueish 7180B9   */
/*   brownish 9D695A   */
/*   yellow F6DB79   */
/*   brownish 9D695A   */
/*   yellow F6DB79   */

/*   sage C5C9A4   */
/*   coral F28482   */
/*   brandy 903F3F   */
/*   yellow F6DB79   */
